Subject: [PATCH v7 00/11] kernel: Add support for restart handler call chain

From: [email-masked] (Guenter Roeck)
Date: Tue, 30 Sep 2014 20:28:53 -0700

On 09/30/2014 04:40 PM, Stephen Rothwell wrote:
> Hi Guenter,
>
> On Tue, 30 Sep 2014 15:30:00 -0700 Guenter Roeck <[email-masked]> wrote:
>>
>> On Tue, Sep 30, 2014 at 02:20:02PM -0700, Andrew Morton wrote:
>>> On Tue, 19 Aug 2014 17:45:27 -0700 Guenter Roeck <[email-masked]> wrote:
>>>
>>>> Introduce a system restart handler call chain to solve the described problems.
>>>
>>> So someone has merged eight of these patches into linux-next but these
>>> three:
>>>
>>> watchdog-s3c2410-add-restart-handler.patch
>>> clk-samsung-register-restart-handlers-for-s3c2412-and-s3c2443.patch
>>> clk-rockchip-add-restart-handler.patch
>>>
>>> were omitted.  What's up?
>>
>> Most likely PBKC on my side; Looks like I forgot to add those when I created
>> the immutable branch for others to merge. Sorry for that :-(.
>>
>> Having said that, I somehow thought that the clock patches would go in through
>> the clock tree. Heiko, did I get that wrong ? Separately, I sent a pull request
>> that includes the watchdog patch to Wim.
>
> So far, that immutable branch has been merged into the battery tree
> (and thus into linux-next) by Sebastian in order to add (I assume):
>
> 18a702e0de98 power: reset: use restart_notifier mechanism for msm-poweroff
> 371bb20d6927 power: Add simple gpio-restart driver
>
> on top of it.
>
> So, I guess the watchdog and clk trees also need to merge that
> immutable branch and then add their respective patches from the mmotm
> series to their trees.
>
Yes, and now I remember why I did not include those patches: They are not
authored by myself. I thought it was not appropriate for me to include them
in the branch I created. Maybe flawed thinking, but that was my reasoning.

Guenter